Fine-tuning
List job
List the metadata for a single fine-tuning job.
GET
Together AI SDK (Python)
Authorizations
Response
200 - application/json
Fine-tune job details retrieved successfully
Together AI SDK (Python)
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List the metadata for a single fine-tuning job.
from together import Together
import os
client = Together(
api_key=os.environ.get("TOGETHER_API_KEY"),
)
fine_tune = client.fine_tuning.retrieve(id="<JOB_ID>")
print(fine_tune)import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const fineTune = await client.fineTuning.retrieve("<JOB_ID>");
console.log(fineTune);
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const fineTune = await client.fineTuning.retrieve("<JOB_ID>");
console.log(fineTune);
curl "https://api.together.ai/v1/fine-tunes/<JOB_ID>" \
-H "Authorization: Bearer $TOGETHER_API_KEY" \
-H "Content-Type: application/json"
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/fine-tunes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/fine-tunes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/fine-tunes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/fine-tunes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "<string>",
"status": "pending",
"training_file": "<string>",
"validation_file": "<string>",
"model": "<string>",
"model_output_name": "<string>",
"model_output_path": "<string>",
"tokenized_dataset_path": "<string>",
"tokenized_dataset_uploaded_at": "2023-11-07T05:31:56Z",
"model_object_id": "<string>",
"model_object_name": "<string>",
"model_object_revision_id": "<string>",
"adapter_object_id": "<string>",
"adapter_object_name": "<string>",
"adapter_object_revision_id": "<string>",
"trainingfile_numlines": 123,
"trainingfile_size": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"n_epochs": 123,
"n_checkpoints": 123,
"n_evals": 123,
"batch_size": "max",
"learning_rate": 123,
"lr_scheduler": {
"lr_scheduler_type": "linear",
"lr_scheduler_args": {
"min_lr_ratio": 0
}
},
"warmup_ratio": 123,
"max_grad_norm": 123,
"weight_decay": 123,
"eval_steps": 123,
"train_on_inputs": "auto",
"training_method": {
"method": "sft",
"train_on_inputs": "auto"
},
"training_type": {
"type": "Full"
},
"multimodal_params": {
"train_vision": true
},
"job_id": "<string>",
"events": [
{
"object": "fine-tune-event",
"created_at": "<string>",
"message": "<string>",
"type": "job_pending",
"level": null,
"param_count": 123,
"token_count": 123,
"total_steps": 123,
"wandb_url": "<string>",
"step": 123,
"checkpoint_path": "<string>",
"model_path": "<string>",
"tokenized_dataset_path": "<string>",
"early_stopping_best_step": 123,
"early_stopping_best_metric_value": 123
}
],
"token_count": 123,
"param_count": 123,
"total_price": 123,
"epochs_completed": 123,
"queue_depth": 123,
"wandb_project_name": "<string>",
"wandb_url": "<string>",
"from_checkpoint": "<string>",
"from_hf_model": "<string>",
"hf_model_revision": "<string>",
"progress": {
"estimate_available": true,
"seconds_remaining": 123
},
"early_stopped": true,
"early_stopping_best_step": 123,
"early_stopping_best_metric": 123
}Fine-tune job details retrieved successfully
Was this page helpful?
from together import Together
import os
client = Together(
api_key=os.environ.get("TOGETHER_API_KEY"),
)
fine_tune = client.fine_tuning.retrieve(id="<JOB_ID>")
print(fine_tune)import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const fineTune = await client.fineTuning.retrieve("<JOB_ID>");
console.log(fineTune);
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const fineTune = await client.fineTuning.retrieve("<JOB_ID>");
console.log(fineTune);
curl "https://api.together.ai/v1/fine-tunes/<JOB_ID>" \
-H "Authorization: Bearer $TOGETHER_API_KEY" \
-H "Content-Type: application/json"
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/fine-tunes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/fine-tunes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/fine-tunes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/fine-tunes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "<string>",
"status": "pending",
"training_file": "<string>",
"validation_file": "<string>",
"model": "<string>",
"model_output_name": "<string>",
"model_output_path": "<string>",
"tokenized_dataset_path": "<string>",
"tokenized_dataset_uploaded_at": "2023-11-07T05:31:56Z",
"model_object_id": "<string>",
"model_object_name": "<string>",
"model_object_revision_id": "<string>",
"adapter_object_id": "<string>",
"adapter_object_name": "<string>",
"adapter_object_revision_id": "<string>",
"trainingfile_numlines": 123,
"trainingfile_size": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"n_epochs": 123,
"n_checkpoints": 123,
"n_evals": 123,
"batch_size": "max",
"learning_rate": 123,
"lr_scheduler": {
"lr_scheduler_type": "linear",
"lr_scheduler_args": {
"min_lr_ratio": 0
}
},
"warmup_ratio": 123,
"max_grad_norm": 123,
"weight_decay": 123,
"eval_steps": 123,
"train_on_inputs": "auto",
"training_method": {
"method": "sft",
"train_on_inputs": "auto"
},
"training_type": {
"type": "Full"
},
"multimodal_params": {
"train_vision": true
},
"job_id": "<string>",
"events": [
{
"object": "fine-tune-event",
"created_at": "<string>",
"message": "<string>",
"type": "job_pending",
"level": null,
"param_count": 123,
"token_count": 123,
"total_steps": 123,
"wandb_url": "<string>",
"step": 123,
"checkpoint_path": "<string>",
"model_path": "<string>",
"tokenized_dataset_path": "<string>",
"early_stopping_best_step": 123,
"early_stopping_best_metric_value": 123
}
],
"token_count": 123,
"param_count": 123,
"total_price": 123,
"epochs_completed": 123,
"queue_depth": 123,
"wandb_project_name": "<string>",
"wandb_url": "<string>",
"from_checkpoint": "<string>",
"from_hf_model": "<string>",
"hf_model_revision": "<string>",
"progress": {
"estimate_available": true,
"seconds_remaining": 123
},
"early_stopped": true,
"early_stopping_best_step": 123,
"early_stopping_best_metric": 123
}